//
//  PSTPagedTablesViewController.m
//  TablePageTest
//
//  Created by Peter Schumacher on 15.11.13.
//  Copyright (c) 2013 Peter Schumacher Tools. All rights reserved.
//

#import "PSTPagedTablesViewController.h"

@interface PSTPagedTablesViewController ()

@end

@implementation PSTPagedTablesViewController


#pragma Initialiser
- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    return nil;
}

- (id)initWithFrame:(CGRect)frame NumberOfTables:(NSUInteger)numberOfTables{
    self = [super initWithNibName:nil bundle:nil];
    if (self) {
        UIScrollView *scrollview = [[UIScrollView alloc] initWithFrame:frame];
        [self setView:scrollview];
        CGSize contentSize = self.view.bounds.size;
        contentSize.width *= numberOfTables;
        [scrollview setContentSize:contentSize];
        [scrollview setDirectionalLockEnabled:YES];
        [scrollview setPagingEnabled:YES];
        [scrollview setAlwaysBounceHorizontal:YES];
        
        NSMutableArray *tempTables = [[NSMutableArray alloc] init];
        for (int i=0; i<numberOfTables; i++) {
            CGRect tableframe = self.view.bounds;
            tableframe.origin.x += i*self.view.bounds.size.width;
            UITableView *table = [[UITableView alloc] initWithFrame:tableframe];
            [tempTables addObject:table];
            [self.view addSubview:table];
            [table setDelegate:self];
            
        }
        self.tables = [NSArray arrayWithArray:tempTables];

        

    }
    return self;
}

#pragma Custom Setter

#pragma UITableViewDelegate Methods

#pragma UITableViewDataSource Methods

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath{
    UITableViewCell *cell = [[UITableViewCell alloc] initWithStyle:UITableViewCellStyleDefault reuseIdentifier:@"SimpleCell"];
    
    return cell;
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section{
    return 4;
}


- (BOOL)tableView:(UITableView *)tableView canEditRowAtIndexPath:(NSIndexPath *)indexPath{
    return NO;
}

#pragma Helper Methods

- (CGSize) getIdealFrameSize{
    CGSize frameSize = {0,0};
    for (UITableView *table in self.tables) {
        if (frameSize.height < table.contentSize.height) {
            frameSize = table.contentSize;
        }
    }
    
    return frameSize;
}

#pragma View Controller methods

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view.
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
