//
//  PSTViewController.m
//  TablePageTest
//
//  Created by Peter Schumacher on 12.11.13.
//  Copyright (c) 2013 Peter Schumacher Tools. All rights reserved.
//

#import "PSTViewController.h"
#import "PSTPagedTablesViewController.h"

@interface PSTViewController ()

@end

@implementation PSTViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
    
    //Check if there is not a better place for this! Initializer is not called?
    CGRect frame= {{0,0},{320,176}};
    PSTPagedTablesViewController *subViewController = [[PSTPagedTablesViewController alloc] initWithFrame:frame NumberOfTables:3];
    [self addChildViewController:subViewController];
    [subViewController didMoveToParentViewController:self];
	// Do any additional setup after loading the view, typically from a nib.
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}



#pragma Initializers

- (id) initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {

    }
    return self;
}

#pragma UITableViewDataSource

- (UITableViewCell *)tableView:(UITableView *)tableView cellForRowAtIndexPath:(NSIndexPath *)indexPath{
    if (indexPath.section == 2){
        UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:@"BigCell"];
        UIViewController *vC = Nil;
        for (UIViewController *viewController in self.childViewControllers) {
            if ([viewController isKindOfClass:[PSTPagedTablesViewController class]]) {
                vC = viewController;
            }
        }
        if (vC != nil) {
            [cell addSubview:vC.view];
        }
        return cell;
    }
    
    UITableViewCell *cell = [tableView dequeueReusableCellWithIdentifier:@"NormalCell"];
    return cell;
}

- (NSInteger)tableView:(UITableView *)tableView numberOfRowsInSection:(NSInteger)section{
    if (section == 2){
        return 1;
    }
    return 4;
}

- (NSInteger)numberOfSectionsInTableView:(UITableView *)tableView{
    return 4;
}

#pragma UITableViewDelegate

- (CGFloat)tableView:(UITableView *)tableView heightForRowAtIndexPath:(NSIndexPath *)indexPath{
    if (indexPath.section == 2) {
        return 200;
    }
    return 44;
    
}
@end

/*

[self addChildViewController:content];                 // 1
content.view.frame = [self frameForContentController]; // 2
[self.view addSubview:self.currentClientView];
[content didMoveToParentViewController:self];
*/